function  vykresli_mfs_sugeno(fis_sugeno)
x = [fis_sugeno.Inputs.MembershipFunctions(1, 1).Parameters(1),fis_sugeno.Inputs.MembershipFunctions(1, 1).Parameters(2),fis_sugeno.Inputs.MembershipFunctions(1, 1).Parameters(3)];
figure(1);
plot(0:4,0);
ylim([0,1.2]);
%xlim([1,size(data,2)]);
grid on;
hold on;
p1=plot(x,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Inputs.MembershipFunctions(1, 2).Parameters(1),fis_sugeno.Inputs.MembershipFunctions(1, 2).Parameters(2),fis_sugeno.Inputs.MembershipFunctions(1, 2).Parameters(3)];
p2=plot(x,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Inputs.MembershipFunctions(1, 3).Parameters(1),fis_sugeno.Inputs.MembershipFunctions(1, 3).Parameters(2),fis_sugeno.Inputs.MembershipFunctions(1, 3).Parameters(3)];
p3=plot(x,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Inputs.MembershipFunctions(1, 4).Parameters(1),fis_sugeno.Inputs.MembershipFunctions(1, 4).Parameters(2),fis_sugeno.Inputs.MembershipFunctions(1, 4).Parameters(3)];
p4=plot(x,[0,1,0],'LineWidth',1.4);
x = [fis_sugeno.Inputs.MembershipFunctions(1, 5).Parameters(1),fis_sugeno.Inputs.MembershipFunctions(1, 5).Parameters(2),fis_sugeno.Inputs.MembershipFunctions(1, 5).Parameters(3)];
p5=plot(x,[0,1,0],'LineWidth',1.4);
title('Funkce příslušnosti FIS Sugeno');
xlabel('Vzdálenost od spline [m]');
ylabel('Hodnota příslušnosti [-]');
legend([p1,p2,p3,p4,p5],'Mf1','Mf2','Mf3','Mf4','Mf5','NumColumns',3);
hold off;
end

